[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Kernel 2.0.31 won't compile


I need to compile the 2.0.31 kernel.  Unfortunately there is
not a debian package for the 2.0.31 kernel, so I downloaded the upstream
version, unpacked it into /usr/local/src, created links and followed the
instructions for make-kpkg in order to make a kernel image package.
Unfortunately it didn't compile, coming up with compile errors such as

/usr/include/sys/types.h:45: conflicting types for `mode_t'
/usr/local/src/linux-2.0.31/include/linux/types.h:12: previous declaration
of `mode_t'

/usr/include/time.h:66: warning: redefinition of `clock_t'
/usr/local/src/linux-2.0.31/include/linux/types.h:50: warning: `clock_t'
previously declared here

There are a number of such error messages.  I don't know what to do here! 

Can anyone help?



____\__/HE___\__/------APTAIN/   ________________________________
____\__/_____\__/--\__/______/  /__"To be is to do."__I. Kant___/
____\__/______\______/_______/  /__"To do is to be."__A. Sartre_/
                                /__"I am."____________God_______/
                                /__Jesus did.___________________/

Unsubscribe?  mail -s unsubscribe debian-user-request@lists.debian.org < /dev/null

Reply to: